<script>
    import {GlButton} from '@gitlab/ui';
    import ButtonS from './components/button';
    import {GlBadge, GlCard} from '@gitlab/ui';
    const items = require('./../assets/mocks/incidents.json');

    export default {
        components: {
            GlBadge,
            GlCard
        },
        data: function () {
            return {
                message: "Hello Vue!",
                items,
            }
        },
 /*       mounted() {
            return require('./../assets/mocks/incidents.json')
                .then(mockData => {
                    this.items = mockData;
                });
        }*/
    }
</script>

<template>
    <div id="app">
        <gl-card v-for="item in items" :title="item.title" class="mt-2">
            <gl-badge variant="info">{{item.status}}</gl-badge>
        </gl-card>
    </div>
</template>


<style scoped>
    p {
        font-size: 2em;
        text-align: center;
    }
</style>
